CWSpreadsheetInternal::Spreadsheet Struct Reference

Internal the spreadsheet. More...

Inheritance diagram for CWSpreadsheetInternal::Spreadsheet:

## Public Member Functions

| Spreadsheet (CWStruct::DSET const &dset=CWStruct::DSET())
Public Member Functions inherited from CWStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | okChildId (int zoneId) const
| test is a child id is valid More...

## Friends

std::ostream & | operator<< (std::ostream &o, Spreadsheet const &doc)
| operator<< More...

## Additional Inherited Members

Public Types inherited from CWStruct::DSET
enum | Type { T_Main =0, T_Header, T_Footer, T_Frame, T_Footnote, T_Table, T_Slide, T_Unknown }
| the document type More...
Public Attributes inherited from CWStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Type | m_type
| the document type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_id
| the identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
std::set< int > | m_validedChildList
| the list of verified child More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Detailed Description

Internal the spreadsheet.

## Constructor & Destructor Documentation

CWSpreadsheetInternal::Spreadsheet::Spreadsheet | ( | CWStruct::DSET const & | dset = `CWStruct::DSET()` | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Spreadsheet const & | doc
| ) |  |

friend

operator<<

The documentation for this struct was generated from the following file:

- CWSpreadsheet.cxx